import _log2vis, string, log2vis, sys

hebrew = '\346\344\345 \360\351\361\351\345\357 \370\340\371\345\360\351.  \340\360\351 \356\367\345\345\344 \371-test \346\344 \351\362\341\345\343. \344\356\361\364\370 \344\345\340 1234 \345\340\351\360\360\345 reversed!\015\012\340\360\351 \341\362\341\370\351\372.\015\012'
english = 'Some english words.\n English with \362\341\370\351\372. \015\012'
utf8 = '''איידע אותו מחר על הבוקר ואשיבך.

בברכה,

יוסי יאיר
עוזר ח'''

def rendering_test():
    print "Test 1: log2vis (align right)"
    print log2vis.log2vis(hebrew)
    print
    print "Test 2: log2vis (align left)"
    print log2vis.log2vis(english, direction=log2vis.LTR)

def stress_test():
    import random
    f = open("/dev/urandom")
    for i in range(10000):
        s = f.read(random.randint(0, 8192))
        log2vis.log2vis(s)

def long_test():
    log2vis.log2vis('a' * 8193)        

def unicode_test():
    print log2vis.log2vis(utf8, inencoding='UTF-8', outencoding="windows-1255")
    
if __name__ == '__main__':
    rendering_test()
    if len(sys.argv) > 1:
        apply(globals()[sys.argv[1] + '_test'], (), {})
